#!/bin/sh
#
# file tst54.sh 
# (test the '-s' option) 
#
#      Diogene87
#	Copyright (C) 2003,2004,2005 - Dominique Parisot
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this software; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
# Boston, MA 02111-1307 USA
#


if [ "$srcdir" = "" ]; then srcdir="."; fi
. $srcdir/functions.sh
checkNoDaemon

echo "Test the '-s' option"

echo " start the daemon without -s option"
startDio87d || exit 1
if [ "`dio87c -- ei -S_ | grep Enabled`" != "Enabled_true" ]; then
	echo "The engine is not enabled !"; exit 1
fi
stopDio87d || exit 1

echo " start the daemon with -s option"
DAEMON_OPTION="-S"
startDio87d || exit 1
DAEMON_OPTION=""
if [ "`dio87c -- ei -S_ | grep Enabled`" != "Enabled_false" ]; then
	echo "The engine is not disabled !"; exit 1
fi

echo " enabled the engine"
dio87c ese true || exit 1
if [ "`dio87c -- ei -S_ | grep Enabled`" != "Enabled_true" ]; then
	echo "The engine is not enabled !"; exit 1
fi

stopDio87d || exit 1
