/* file d_cmdjob.h */
/*
 *      dio87d (Diogene87) - a powerful job scheduling system.
 *	Copyright (C) 2003,2004,2005 - Dominique Parisot
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this software; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307 USA
 *
 */

#ifndef __DG87_CMD_REF_JOB_H__
#define __DG87_CMD_REF_JOB_H__

#include "global.h"
#include <libdg87/element.h>
#include "d_task.h"
#include "d_job.h"
#include "d_ref.h"
#include <config.h>
#include <libdg87/connection.h>

/* commands for Jobs */
int cmd_rjk (dg87_connection * connection);
int cmd_rja (dg87_connection * connection);
int cmd_rjc (dg87_connection * connection);
int cmd_rjl (dg87_connection * connection);
int cmd_rji (dg87_connection * connection);
int cmd_rjsd (dg87_connection * connection);
int cmd_rjsn (dg87_connection * connection);
int cmd_rjsp (dg87_connection * connection);
int cmd_rjsa (dg87_connection * connection);
int cmd_rjst (dg87_connection * connection);
int cmd_rjswad (dg87_connection * connection);
int cmd_rjsoec (dg87_connection * connection);

/* commands for jobs dependencies */
int cmd_rjdl (dg87_connection * connection);
int cmd_rjdc (dg87_connection * connection);
int cmd_rjda (dg87_connection * connection);
int cmd_rjdk (dg87_connection * connection);


#endif /*_DG87_CMD_REF_JOB_H__*/

/* End of file */
