/* file r_caller.h */
/*
 *      dio87d (Diogene87) - a powerful job scheduling system.
 *	Copyright (C) 2003,2004,2005 - Dominique Parisot
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this software; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307 USA
 *
 */


#ifndef __DG87_CALLER_r_H__
#define __DG87_CALLER_r_H__

#include "r_job.h"
#include "l_day.h"
#include "context.h"

BOOL dg87_r_caller_transmit_state (dg87_context * context, dg87_r_job * job);

BOOL dg87_r_caller_transmit_file (dg87_context * context, dg87_r_file * file);

BOOL dg87_r_caller_send_log_entry (dg87_context * context,
                                   dg87_r_job * job, 
																	dg87_log_day_entry_type entry_type,
                                   char *message);
#endif /*__DG87_CALLER_r_H__*/
/* End of file */
