#!/bin/sh
if [ "$srcdir" = "" ]; then srcdir="."; fi
. $srcdir/functions.sh

#$srcdir/tst42.sh || exit 1
#exit 0

t1=`date +%s`
if [ "$#" -ne 0 ]; then
	i=$1
else
	i=1
fi
while true
do
	if [ $i -le 9 ] ; then
		script="tst0$i.sh"
	else
		script="tst$i.sh"
	fi

	if [ ! -f $srcdir/$script ] ; then
		break;
	fi

	echo "___________________________________________"
	echo "Script $script"
	$srcdir/$script
	if [ $? -ne 0 ] ; then
		echo "ERROR : $script"
		exit 1
	fi
	i=$((i+1))
	echo ""
done

echo "___________________________________________"
t2=`date +%s`
t3=$(( (t2 - t1) / 60 ))
echo
echo "Duration : $t3 minutes"
echo
	
