/* file d_cmdvariable.h */
/*
 *      dio87d (Diogene87) - a powerful job scheduling system.
 *	Copyright (C) 2003,2004,2005 - Dominique Parisot
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this software; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307 USA
 *
 */

#ifndef __DG87_CMD_VARIABLE_d_H__
#define __DG87_CMD_VARIABLE_d_H__

#include "global.h"
#include <libdg87/element.h>
#include "variable.h"
#include "context.h"
#include <config.h>
#include <libdg87/connection.h>

/* commands for variable */
int cmd_vl (dg87_connection * connection);
int cmd_vc (dg87_connection * connection);
int cmd_va (dg87_connection * connection);
int cmd_vk (dg87_connection * connection);
int cmd_vi (dg87_connection * connection);

int cmd_vsv (dg87_connection * connection);

#endif /*__DG87_CMD_VARIABLE_d_H__*/

/* End of file */
