/* file x_cmdtask.h */
/*
 *      dio87d (Diogene87) - a powerful job scheduling system.
 *	Copyright (C) 2003,2004,2005 - Dominique Parisot
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this software; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307 USA
 *
 */

#ifndef __DG87_CMD_EXP_TASK_H__
#define __DG87_CMD_EXP_TASK_H__

#include "global.h"
#include <libdg87/element.h>
#include "x_task.h"
#include <config.h>
#include <libdg87/connection.h>

/* commands for Task*/
int cmd_xtc (dg87_connection * connection);
int cmd_xtl (dg87_connection * connection);
int cmd_xtse (dg87_connection * connection);
int cmd_xtsoec (dg87_connection * connection);
int cmd_xtswad (dg87_connection * connection);
int cmd_xtu (dg87_connection * connection);
int cmd_xti (dg87_connection * connection);

/* commands for task conditions */
int cmd_xtcl (dg87_connection * connection);
int cmd_xtcc (dg87_connection * connection);
int cmd_xtcv (dg87_connection * connection);

/* commands for task dependencies */
int cmd_xtdl (dg87_connection * connection);
int cmd_xtdc (dg87_connection * connection);
int cmd_xtdu (dg87_connection * connection);

#endif /*__DG87_CMD_EXP_TASK_H__*/

/* End of file */
